Page MenuHomePhabricator

Configuration request for Flagged Reviews at Hebrew Wikisource
Open, LowPublic

Description

Hi, the Hebrew Wikisource community requests a reconfiguration of the Flagged Reviews extension, as explained at this link with local consensus.
Thank you,
Dovi

Event Timeline

Dovi created this task.Jul 1 2019, 2:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 1 2019, 2:27 PM
Dovi added a comment.Jul 1 2019, 3:17 PM

Thanks Andre. :-)
It's been quite a few years since the last time I made a request like this and I'm rusty...

DannyS712 added a subscriber: DannyS712.

Hi. Reading through the discussion, the first request seems pretty easy:

  1. Turn off in the "עמוד" (literally "page") namespace

The other two, however, are more complicated:

  1. Turn off flagged revisions specifically for the main page
  2. Turn on flagged revisions for the "משתמש" (literally "user") namespace if and only if the flagged revisions notices appear at the bottom of pages in user space instead of the top (while leaving them at the top for everything else)
Reedy added a subscriber: Reedy.Jul 1 2019, 10:54 PM

The other two, however, are more complicated:

  1. Turn off flagged revisions specifically for the main page

$wgFlaggedRevsWhitelist

Dovi added a comment.Jul 5 2019, 4:53 AM

Hi, if the first one is pretty easy, then please implement it!

They aren't depended on one another. For the rest, it would be great is someone with knowledge of the extension could explain what is or is not possible.

Change 521194 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[operations/mediawiki-config@master] Remove "עמוד" namespace from wgFlaggedRevsNamespaces for hewikisource

https://gerrit.wikimedia.org/r/521194

Change 521194 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove "עמוד" namespace from wgFlaggedRevsNamespaces for hewikisource

https://gerrit.wikimedia.org/r/521194

Mentioned in SAL (#wikimedia-operations) [2019-07-08T11:11:07Z] <urbanecm@deploy1001> Synchronized wmf-config/flaggedrevs.php: SWAT: [[:gerrit:521194|Remove "עמוד" namespace from wgFlaggedRevsNamespaces for hewikisource]] (T227000) (duration: 00m 49s)

Urbanecm added a subscriber: Urbanecm.

The first patch was merged.

Change 521383 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[operations/mediawiki-config@master] Disable flaggedrevs for hewikisource main page

https://gerrit.wikimedia.org/r/521383

DannyS712 moved this task from Config - to process to To deploy on the Wikimedia-Site-requests board.
DannyS712 added a project: User-Urbanecm.

I've uploaded a patch for the second request (disabling for the main page). The first request has already been merged. The third, however, may not be possible with the current code of the extension, I'm not sure

Change 521383 merged by jenkins-bot:
[operations/mediawiki-config@master] Disable flaggedrevs for hewikisource main page

https://gerrit.wikimedia.org/r/521383

Mentioned in SAL (#wikimedia-operations) [2019-07-09T11:12:39Z] <urbanecm@deploy1001> Synchronized wmf-config/flaggedrevs.php: SWAT: [[:gerrit:521383|Disable flaggedrevs for hewikisource main page]] (T227000) (duration: 00m 48s)

Second patch deployed.

DannyS712 removed DannyS712 as the assignee of this task.Jul 9 2019, 11:33 AM

@Dovi the first 2 requests have been merged.

DannyS712 triaged this task as Low priority.Jul 17 2019, 7:25 PM

2/3rds done, 3rd part is based on currently non-existent functionality

Thank you, Danny.

Dovi added a comment.Jul 18 2019, 10:43 AM

Thanks. :-)
I don't see a notice on the Main Page anymore :-)

A question though regarding the removal of the FlaggedRevs function from the "Page" (עמוד) namespace: When I look at pages, the "review" stuff still appears at the top and the bottom of pages. For instance here:
https://he.wikisource.org/wiki/%D7%A2%D7%9E%D7%95%D7%93:Philip_Birnbaum_-_ha-Siddur_ha-Shalem_(The_Daily_Prayer_Book,1949).pdf/376

Are you sure that the function has indeed been removed from that namespace?

@Dovi
Apologies, I was wrong. I went based off of a comment in the config about which namespace had which number, and the comment was wrong. I'll add a new patch to revert that and fix the comment

Change 524704 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[operations/mediawiki-config@master] Revert "Remove "עמוד" namespace from wgFlaggedRevsNamespaces for hewikisource"

https://gerrit.wikimedia.org/r/524704

Change 524704 merged by jenkins-bot:
[operations/mediawiki-config@master] Fix "Remove "עמוד" namespace from wgFlaggedRevsNamespaces for hewikisource"

https://gerrit.wikimedia.org/r/524704

Mentioned in SAL (#wikimedia-operations) [2019-07-22T23:33:54Z] <urbanecm@deploy1001> Synchronized wmf-config/flaggedrevs.php: SWAT: [[:gerrit:524704|Fix "Remove "עמוד" namespace from wgFlaggedRevsNamespaces for hewikisource"]] (T227000) (duration: 00m 47s)

Mentioned in SAL (#wikimedia-operations) [2019-07-22T23:36:09Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: Fix comment in IS.php (noop, T227000) (duration: 00m 46s)

DannyS712 added a comment.EditedJul 22 2019, 11:41 PM

@Dovi can you check if it is correct now? The link you gave above no longer has a visible pending changes interface.

Deployed! Feel free to re-add once something is needed from my side.

Dovi added a comment.Jul 23 2019, 11:38 AM

Looks good now in the עמוד namespace! Thanks!

I'm afraid "Turn on flagged revisions for the "משתמש" (literally "user") namespace if and only if the flagged revisions notices appear at the bottom of pages in user space instead of the top (while leaving them at the top for everything else)" is not possible.